# Class AtomicLong

java.lang.Object
java.lang.Number
java.util.concurrent.atomic.AtomicLong

All Implemented Interfaces:
  `java.io.Serializable`

public class AtomicLong extends Number implements java.io.Serializable
CLDC11 subset stub. Compile-time visible only; the actual runtime implementation comes from the platform (the Android JDK on Android, `vm/JavaAPI` on ParparVM, the host JDK in the JavaSE simulator).

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AtomicLong()`
  `AtomicLong(long initialValue)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final long`
  `addAndGet(long delta)`
  `final boolean`
  `compareAndSet(long expect, long update)`
  `final long`
  `decrementAndGet()`
  `double`
  `doubleValue()`
  `float`
  `floatValue()`
  `final long`
  `get()`
  `final long`
  `getAndAdd(long delta)`
  `final long`
  `getAndDecrement()`
  `final long`
  `getAndIncrement()`
  `final long`
  `getAndSet(long newValue)`
  `final long`
  `incrementAndGet()`
  `int`
  `intValue()`
  `final void`
  `lazySet(long newValue)`
  `long`
  `longValue()`
  `final void`
  `set(long newValue)`
  `final boolean`
  `weakCompareAndSet(long expect, long update)`

  ### Methods inherited from class Number

  `byteValue, shortValue`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AtomicLong

    public AtomicLong(long initialValue)

  - ### AtomicLong

    public AtomicLong()

- ## Method Details

  - ### get

    public final long get()

  - ### set

    public final void set(long newValue)

  - ### lazySet

    public final void lazySet(long newValue)

  - ### getAndSet

    public final long getAndSet(long newValue)

  - ### compareAndSet

    public final boolean compareAndSet(long expect, long update)

  - ### weakCompareAndSet

    public final boolean weakCompareAndSet(long expect, long update)

  - ### getAndIncrement

    public final long getAndIncrement()

  - ### getAndDecrement

    public final long getAndDecrement()

  - ### getAndAdd

    public final long getAndAdd(long delta)

  - ### incrementAndGet

    public final long incrementAndGet()

  - ### decrementAndGet

    public final long decrementAndGet()

  - ### addAndGet

    public final long addAndGet(long delta)

  - ### intValue

    public int intValue()
    Specified by:
      `intValue` in class `Number`

  - ### longValue

    public long longValue()
    Specified by:
      `longValue` in class `Number`

  - ### floatValue

    public float floatValue()
    Specified by:
      `floatValue` in class `Number`

  - ### doubleValue

    public double doubleValue()
    Specified by:
      `doubleValue` in class `Number`